Can't Play This Game Anymore (19.03v)

They do, but the game does require certain specifications in order to properly run the sim, the device specs can be found here in the support FAQ i linked below, and adding on it does requires a few other things, like the phone being up to date on updates, shipped by android. And very old devices won’t be supported on IF forever, the team does aim to optimize the updates for new and older devices but there’s only a limit on how old devices can get before they cant be supported anymore

and if you’re looking for a new device check this thread out

2 Likes